Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class PolicyError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--org.omg.CORBA.PolicyError

All Implemented Interfaces:
  IDLEntity, Serializable

public final class PolicyError
extends UserException

An exception carrying one of the following policy error reason codes defined in the org.omg.CORBA package: BAD_POLICY, BAD_POLICY_TYPE, BAD_POLICY_VALUE, UNSUPPORTED_POLICY, UNSUPPORTED_POLICY_VALUE

See Also:
  Serialized Form

Field Summary
`short` | `reason` The reason for the `PolicyError` exception being thrown.

Constructor Summary
`PolicyError()` Constructs a default `PolicyError` user exception with no reason code and an empty reason detail message.
`PolicyError(short __reason)` Constructs a `PolicyError` user exception initialized with the given reason code and an empty reason detail message.
`PolicyError(String reason_string, short __reason)` Constructs a `PolicyError` user exception initialized with the given reason detail message and reason code.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### reason

    public short reason

  The reason for the `PolicyError` exception being thrown.

Constructor Detail

### PolicyError

    public PolicyError()

  Constructs a default `PolicyError` user exception with no reason code and an empty reason detail message.

### PolicyError

    public PolicyError(short __reason)

  Constructs a `PolicyError` user exception initialized with the given reason code and an empty reason detail message.
  Parameters:
    `__reason` - the reason code.

### PolicyError

    public PolicyError(String reason_string,
                       short __reason)

  Constructs a `PolicyError` user exception initialized with the given reason detail message and reason code.
  Parameters:
    `reason_string` - the reason detail message.
    `__reason` - the reason code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.